KDK_UN_INHIBIT_LOCKSCREEN(3)

NAME
kdk_un_inhibit_lockscreen - 设置禁止锁屏

SYNOPSIS
#include <libkylockscreen.h>

extern int kdk_un_inhibit_lockscreen(uint32_t flag);

Link with -lkypowermanagement.

Detailed Description
The main function of the interface is to undisable the lock screen.

The argument flag is the return value of the kdk_set_inhibit_lockscreen interface.

RETURN VALUE
On success, return 0.

On error, return -1.

EXAMPLES
    #include <libkylockscreen.h>
    #include <stdio.h>
    int main(void)
    {
        char appName[] = "test-package";
        char reason[] = "test-reason";
        uint32_t flag;
        if ((flag = kdk_set_inhibit_lockscreen(appName , reason)) == 0) {
            printf("set inhibit lock screen fail !);
            return -1;
        }
        if (kdk_un_inhibit_lockscreen(flag)) {
            printf("un inhibit lock screen fail !);
            return -1;
        }
        return 0;
    }

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_set_inhibit_lockscreen().

SEE ALSO
kdk_set_inhibit_lockscreen(3).